
from flask_sqlalchemy import SQLAlchemy
import random

db = SQLAlchemy()

class User(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    username = db.Column(db.String(80), unique=True, nullable=False)
    email = db.Column(db.String(120), unique=True, nullable=False)

def get_random_user_by_email(email):
    try:
        user = User.query.filter_by(email=email).first()
        if user:
            return user.username
        else:
            return None
    except Exception as e:
        return str(e)



